flow3.typo3.org - Bug # 49963

Status: New Priority: Should have
Author: Joh. Feustel Category: Content

Created: 2013-07-12 Assigned To: Karsten Dambekalns
Updated: 2014-08-01 Due date:

Subject: Broken Link to the TYPO3 Flow Coding Guidelines on one page

Description

The link to the "Coding Guidelines in a one page document" doesn't work here
http://docs.typo3.org/flow/TYPO3FlowDocumentation/TheDefinitiveGuide/PartV/CodingGuideLines/PHP.html

http:/flow.typo3.org/_Resources/Static/Packages/TYPO3.Flow30rg/Assets/Content/ TYPO3_Flow-CGL-on-one-page.pdf

Related issues:

related to flow3.typo3.org - Bug # 42367: Broken Link to the TYPO3 Flow Codin... Resolved 2012-10-25
related to flow3.typo3.org - Bug # 57834: Broken-Links in Documentation New 2014-04-11
related to Documentation - Bug # 53427: Broken link to "CGL on One Page" Closed 2013-11-08
History

#1 - 2013-07-12 10:55 - Bastian Waidelich

- Status changed from New to Accepted

- Assigned To set to Bastian Waidelich

- Priority changed from Must have to Should have
- % Done changed from 100 to 0

BTW: This is due to the recent package renamings. The correct location is
http://flow.typo3.org/ Resources/Static/Packages/TYPO3.FlowTypo30rg/Assets/Content/TYPO3 Flow-CGL-on-one-page.pdf

#2 - 2013-07-12 13:28 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/22246

#3 - 2013-07-15 11:36 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

See http://docs.typo3.org/flow/TYPO3FlowDocumentation/TheDefinitiveGuide/PartV/CodingGuideLines/PHP.html

#4 - 2013-09-10 15:13 - Christopher Hlubek
- Status changed from Resolved to New

We have the same issue again. Seems like the link is wrong again.
#5 - 2013-09-10 15:45 - Bastian Waidelich
- Assigned To changed from Bastian Waidelich to Karsten Dambekalns

Christopher Hlubek wrote:

We have the same issue again. Seems like the link is wrong again.

Mh.. it's fixed in master: http://docs.typo3.org/flow/TYPO3FlowDocumentation/latest/TheDefinitiveGuide/PartV/CodingGuideLines/PHP.html

and should have been fixed with https:/review.typo3.org/#/c/23099/ for 2.0

@Karsten could you check this?

#6 - 2014-01-09 15:45 - Xavier Perseguers

The PDF is fine now, so it seems the rendering did not take place (you should always check the rendering date on

http://docs.typo3.org/flow/TYPO3FlowDocumentation/latest/Index.html) and as such your change was not "visible".

#7 - 2014-01-09 15:50 - Karsten Dambekalns

Xavier Perseguers wrote:

The PDF is fine now

It is for latest - but not for 2.0 / stable, even though it should be fixed. That is what is puzzling me.

#8 - 2014-08-01 16:58 - Chris topher

The links are working correctly currently: In the current stable version as well as in 2.0 and 2.1.
